Bug 55402 - Update port: astro/sscalc fix manpage installation to wrong dir
Summary: Update port: astro/sscalc fix manpage installation to wrong dir
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-08 23:30 UTC by Esa Karkkainen
Modified: 2003-08-19 11:36 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.54 KB, patch)
2003-08-08 23:30 UTC, Esa Karkkainen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Esa Karkkainen 2003-08-08 23:30:06 UTC
	The following patch fixes these issues:

	*) manpage installation to wrong directory (kris)
	*) pkg-descr contains a URL but no WWW (portlint -A)
	*) use DOCSDIR macro (portlint -A)

How-To-Repeat: 
	N/A
Comment 1 Liu Kang 2003-08-17 14:33:13 UTC
I think you forget to dump PORTREVISION.

--- Makefile.orig	Fri Aug  8 12:40:38 2003
+++ Makefile	Sun Aug 17 21:30:32 2003
@@ -7,13 +7,14 @@

PORTNAME=	sscalc
PORTVERSION=	1.0
+PORTREVISION=	1
CATEGORIES=	astro
MASTER_SITES=	http://www.icehouse.net/kew/

MAINTAINER=	kew@icehouse.net
COMMENT=	A sunrise/sunset time calculator

-BROKEN=		"Installs manpage into wrong directory"
+MAN1=		sscalc.1

pre-fetch:
.if !defined(LAT)
@@ -22,10 +23,13 @@
	@${ECHO_MSG} "Compiling in lat/longs"
.endif

-post-install:
-	@strip ${PREFIX}/bin/sscalc
-	@${MKDIR} ${PREFIX}/share/doc/sscalc
-	${INSTALL_DATA} ${WRKSRC}/cities.txt ${PREFIX}/share/doc/sscalc
-	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/sscalc
+do-install:
+	${INSTALL_PROGRAM} ${WRKDIR}/${DISTNAME}/sscalc ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/sscalc.1 ${MAN1PREFIX}/man/man1
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/cities.txt ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+.endif

.include <bsd.port.mk>

_________________________________________________________________
Help STOP SPAM with the new MSN 8 and get 2 months FREE*  
http://join.msn.com/?page=features/junkmail
Comment 2 Kirill Ponomarev freebsd_committer 2003-08-19 11:36:30 UTC
State Changed
From-To: open->closed

Committed, thanks!